#ifndef __I2C_H_
#define __I2C_H_

#include "myfun.h"

//궨
#define   uchar   uint8
#define   uint    uint16
#define   ushort  unsigned short

//˿ڶ
#define   SCL_in()      (DDRA_DDRA2 = 0)
#define   SDA_in()      (DDRA_DDRA0  = 0) 
#define   SCL_out()     (DDRA_DDRA2  = 1)
#define   SDA_out()     (DDRA_DDRA0  = 1) 

#define   SCL     PORTA_PA2      
#define   SDA     PORTA_PA0 

//I2C
extern void  I2C_Init(void); 
extern void  I2C_Start();
extern void  I2C_Stop();
extern void  I2C_SendACK(uchar ack);
extern uchar I2C_RecvACK();
extern void  I2C_SendByte(uchar dat);
extern uchar I2C_RecvByte();
#endif