#ifndef __MPU6050_H_
#define __MPU6050_H_

#include "myfun.h"
#include "I2C.h"
 

//****************************************
// MPU6050ڲַ
//****************************************
#define	SMPLRT_DIV		0x19	//ǲʣֵ0x07(125Hz)
#define	CONFIG			  0x1A	//ͨ˲Ƶʣֵ0x06(5Hz)
#define	GYRO_CONFIG		0x1B	//Լ켰Χֵ0x18(Լ죬2000deg/s)
#define	ACCEL_CONFIG	0x1C	//ټԼ졢Χͨ˲Ƶʣֵ0x01(Լ죬2G5Hz)
#define	ACCEL_XOUT_H	0x3B
#define	ACCEL_XOUT_L	0x3C
#define	ACCEL_YOUT_H	0x3D
#define	ACCEL_YOUT_L	0x3E
#define	ACCEL_ZOUT_H	0x3F
#define	ACCEL_ZOUT_L	0x40
#define	TEMP_OUT_H		0x41
#define	TEMP_OUT_L		0x42
#define	GYRO_XOUT_H		0x43
#define	GYRO_XOUT_L		0x44	
#define	GYRO_YOUT_H		0x45
#define	GYRO_YOUT_L		0x46
#define	GYRO_ZOUT_H		0x47
#define	GYRO_ZOUT_L		0x48
#define	PWR_MGMT_1		0x6B	//Դֵ0x00()
#define	WHO_AM_I			0x75	//IICַĴ(Ĭֵ0x68ֻ)
#define	SlaveAddress	0xD0	//IICдʱĵַֽݣ+1Ϊȡ


//MPU6050
extern void Init_MPU6050(void) ;
extern int GetData(uchar REG_Address);
extern int Return10bit(int Data);
extern uchar Single_ReadI2C(uchar REG_Address);						//ȡI2C
extern void  Single_WriteI2C(uchar REG_Address,uchar REG_data);	//I2Cд


#endif